import { queryTable } from "@/utils/request";
import { PageContainer, ProTable } from "@ant-design/pro-components";
import { Link, useNavigate } from "react-router-dom";

import { Button, message, Popconfirm } from "antd";
import { useRef, useState } from "react";

const GuaranteeList = (props) => {
  const navigate = useNavigate();
  const [isOpen, setIsOpen] = useState(false);
  const [modalData, setModalData] = useState({});
  const actionRef = useRef();
  const formRef = useRef();

  // const handleDelete = (id) => {
  //   if (id) {
  //     deleteGuaranteeTask(id).then((res) => {
  //       actionRef.current.reload();
  //     });
  //   }
  // };

  const onCancel = () => {
    setIsOpen(false);
    setModalData({});
  };

  const columns = [
    {
      title: "机构名称",
      dataIndex: "guaranteeNo",
      search: true,
    },
    {
      title: "机构类别",
      dataIndex: "receiver",
      search: true,
    },
    {
      title: "工商注册证号",
      dataIndex: "dateRange",
      search: false,
    },
    {
      title: "卫生许可证号",
      dataIndex: "address",
      search: false,
    },
    {
      title: "联系人",
      dataIndex: "totalPersonNum",
      search: false,
    },
    {
      title: "联系电话",
      dataIndex: "standard",
      search: false,
    },
    {
      title: "操作",
      valueType: "option",
      width: 200,
      render: (_, record) => [
        <Button
          key={2}
          style={{ padding: 0 }}
          type="link"
          onClick={() => {
            // navigate(`/task/evaluate/list?id=${record.id}`);
          }}
        >
          评价
        </Button>,
      ],
    },
  ];

  return (
    <PageContainer>
      <ProTable
        actionRef={actionRef}
        formRef={formRef}
        postData={(data) => {
          return data.map((x) => ({
            dateRange: [x.startDate, x.endDate],
            ...x,
          }));
        }}
        rowKey="id"
        toolBarRender={() => [
          <Button
            key="2"
            type="primary"
            onClick={() => {
              navigate('/task/guarantee/edit');
            }}
          >
            新增
          </Button>,
        ]}
        // request={queryTable(getGuaranteeTaskList)}
        columns={columns}
      />
    </PageContainer>
  );
};

export default GuaranteeList;
