import {
  PageContainer,
  ProForm,
  ProFormSelect,
  ProFormText,
  ProFormFieldSet,
  ProFormDateRangePicker,
  ProFormUploadButton,
} from "@ant-design/pro-components";
import { useNavigate, useSearchParams } from "react-router-dom";
import { Card, Col, Row, Space } from "antd";
import { useEffect, useRef } from "react";

export default (props) => {
  const [searchParams] = useSearchParams();
  const id = searchParams.get("id");
  const navigate = useNavigate();

  const formRef = useRef();
  // useEffect(() => {
  //   if (id) {
  //     getPostsDetail(id).then((res) => {
  //       formRef.current.setFieldsValue({
  //         ...res,
  //         filesList: res.filesList?.map((x) => x.fileAddr)[0] || null,
  //       });
  //     });
  //   }
  // }, [id]);

  // const onFinish = async (values) => {
  //   console.log(values);

  //   savePosts({
  //     ...values,
  //     type: 'regulation',
  //     filesList: values.filesList
  //       ? [
  //         {
  //           fileAddr: values.filesList,
  //           fileName: values.filesList?.substring(
  //             values.filesList?.lastIndexOf("/") + 1
  //           ),
  //         },
  //       ]
  //       : null,
  //     status: Number(values.status),
  //     ...(id ? { id } : {}),
  //   }).then((res) => {
  //     navigate(-1);
  //   });

  //   return false;
  // };

  return (
    <PageContainer>
      <Card>
        <ProForm
          formRef={formRef}
          layout={"horizontal"}
          labelCol={{ span: 8 }}
          wrapperCol={{ span: 12 }}
          // onFinish={onFinish}
          initialValues={{ status: 0 }}
          submitter={{
            searchConfig: {
              resetText: "返回",
            },
            onReset: () => navigate(-1),
            render: (props, doms) => {
              return (
                <Row>
                  <Col span={8} offset={8}>
                    <Space>{doms}</Space>
                  </Col>
                </Row>
              );
            },
          }}
        >
          <ProFormText
            name="createPerson"
            label="姓名"
            width={460}
          />
          <ProFormText
            name="createPerson"
            label="身份证号"
            width={460}
          />
          <ProFormText
            name="createPerson"
            label="名族"
            width={460}
          />
          <ProFormText
            name="createPerson"
            label="政治面貌"
            width={460}
          />
          <ProFormText
            name="createPerson"
            label="联系电话"
            width={460}
          />
          <ProFormSelect
            name="status"
            label="是否有健康证"
            width={460}
            options={[
              {
                value: 0,
                label: "--请选择--",
              },
              {
                value: 1,
                label: "是",
              },
              {
                value: 2,
                label: "否",
              },
            ]}
          />
          <ProFormText
            name="createPerson"
            label="家庭住址"
            width={460}
          />
        </ProForm>
      </Card>
    </PageContainer>
  );
};
